Package org.mozilla.javascript.tools.debugger

## Interface SourceProvider

-     public interface SourceProvider

  Interface to provide a source of scripts to the debugger.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSource​(DebuggableScript script)` | Returns the source of the script.

- - ### Method Detail

    - #### getSource

          java.lang.String getSource​(DebuggableScript script)

      Returns the source of the script.
      Parameters:
        `script` - the script object
      Returns:
        the source code of the script, or null if it can not be provided (the provider is not expected to decompile the script, so if it doesn't have a readily available source text, it is free to return null).